# ParcelPoint

[ParcelPoint](https://parcelpoint.world/) (Powered by [Hubbed](https://hubbed.com/)) provides smart delivery solutions through a network of 2,500+ ParcelPoints across Australia, offering Click & Collect, Dropoff Delivery, and Returns for accounts shipping from Australia.

This guide provides developers with the details needed to build ParcelPoint shipping capabilities into your ShipStation API workflows.

If you are using or plan to use the ParcelPoint services included with ShipStation API, rather than connecting your own ParcelPoint account, see our [ParcelPoint from ShipStation guide](/apis/shipengine/docs/carriers/parcelpoint-from-shipengine).

## Requirements

| Property | Type | Required? | Description |
|  --- | --- | --- | --- |
| `nickname` | *string* | **required** | Used to identify your account in ShipStation API |
| `apikey_return` | *string* | Optional | Your ParcelPoint API key for Returns. Required to enable the Returns service. |
| `apikey_click_collect` | *string* | Optional | Your ParcelPoint API key for Click & Collect. Required to enable the Click & Collect service. |
| `apikey_dropoff_delivery` | *string* | Optional | Your ParcelPoint API key for Dropoff Delivery. Required to enable the Dropoff Delivery service. |
| `depot_code` | *string* | Optional | Your ParcelPoint depot code. |
| `enable_service_points` | *boolean* | Optional | Enables shipping to ParcelPoint service points for eligible services. |


### Shipping Requirements

* An active ParcelPoint account is required before connecting. Contact [ParcelPoint](https://parcelpoint.world/) to set up an account and obtain your API keys.
* Accounts must be based in Australia.
* Include a notification phone number and/or email address on your shipments to receive ParcelPoint's SMS and email delivery notifications.


## Connect Account

You can connect a ParcelPoint account using the POST method to the `/v1/connections/carriers/` endpoint, or via the ShipStation API Dashboard.

### Connect via Endpoint

`carrier_name`: `hubbed`

**POST /v1/connections/carriers/:carrier_name**

Sample request:


```http
POST /v1/connections/carriers/hubbed HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "nickname": "My ParcelPoint account",
  "apikey_return": "your-hubbed-returns-api-key",
  "apikey_click_collect": "your-hubbed-click-and-collect-api-key",
  "apikey_dropoff_delivery": "your-hubbed-dropoff-delivery-api-key",
  "depot_code": "your-hubbed-depot-code",
  "enable_service_points": true
}
```

A successful connection will return a response with the `carrier_id`, which you'll use for any requests for this account going forward.

### Connect via Dashboard

To connect your ParcelPoint account via the ShipStation API application:

1. Navigate to **Carriers** under **Setup**.
2. Select **Connect my accounts** in the **My Carrier Accounts** section.
3. Choose your Ship From country.
4. Select **ParcelPoint** from the **Available Carriers** list.
5. Enter your ParcelPoint API keys for **Returns** and **Dropoff Delivery** into the corresponding fields.
6. Click **Connect**.


The Dashboard only supports entering the Returns and Dropoff Delivery API keys. To enable the Click & Collect service, or to set `depot_code` or `enable_service_points`, use the [Connect via Endpoint](#connect-via-endpoint) method instead.

See the [ShipStation API Carriers: Australia](https://help.shipengine.com/hc/en-us/articles/25890205956251--ShipStation-API-Carriers-Australia) help center article for more about connecting and using carriers through the ShipStation API application.

## Rates

ParcelPoint supports [rate shopping](/apis/shipengine/docs/rates/rates) with ShipStation API.

## Service Details

Available ParcelPoint services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the [list carrier services](/apis/shipengine/docs/reference/list-carrier-services) endpoint at any time.

### Domestic Services

| Service | API Code |
|  --- | --- |
| Click & Collect | `hubbed_click_collect` |
| Dropoff Delivery | `hubbed_dropoff_delivery` |


ParcelPoint does not support international shipping.

### Return Services

ParcelPoint supports the following service for return labels:

| Service | API Code |
|  --- | --- |
| Returns | `hubbed_return` |


Review the [Returns page](/apis/shipengine/docs/shipping/returns) for details on creating return labels with ShipStation API.

### Packages

The following [carrier package types](/apis/shipengine/docs/shipping/carrier-packaging) are available for ParcelPoint:

| Name | API Code |
|  --- | --- |
| A2 Satchel | `hubbed_a2_satchel` |
| A3 Satchel | `hubbed_a3_satchel` |
| A4 Satchel | `hubbed_a4_satchel` |
| A5 Satchel | `hubbed_a5_satchel` |
| Letter | `hubbed_letter` |
| Small Box | `hubbed_small` |
| Large Box | `hubbed_large` |
| Custom Box | `hubbed_custom_box` |


### Adding Shipment Insurance

ParcelPoint does not support adding carrier insurance to shipments created with ShipStation API. You can add ShipStation's third-party coverage to ParcelPoint shipments instead.

Review the [Insurance page](/apis/shipengine/docs/shipping/insurance) for details about adding shipment insurance with ShipStation API.

## Label Support

* Label formats: PDF


### Label Reference Fields

ParcelPoint supports adding [custom label messages](/apis/shipengine/docs/labels/messages).

* Label message 1 only.


### Multi-Package Labels

ParcelPoint does not support multi-package shipping.

### Label Branding

ParcelPoint does not support [label branding](/apis/shipengine/docs/labels/branding).

### Voiding Labels

ParcelPoint supports [voiding labels](/apis/shipengine/docs/labels/voiding) with ShipStation API.

### Paperless Labels

ParcelPoint supports Paperless/QR code labels for the Click & Collect service. See our [Paperless Labels page](/apis/shipengine/docs/labels/paperless) for details.

### Customs Declarations

ParcelPoint does not support international shipping, so customs declarations are not applicable.

## Delivery Confirmation

ParcelPoint does not require or support delivery confirmation options using the `confirmation` property.

## Advanced Options

ParcelPoint supports the following [advanced options](/apis/shipengine/docs/carriers/advanced-options), which you can add to the `shipment` object when creating a shipment or label.

| Option | Type | Default Value | Description |
|  --- | --- | --- | --- |
| `NotificationPhone` | *string* | none | Recipient phone number for ParcelPoint SMS delivery notifications. |
| `NotificationEmail` | *string* | none | Recipient email address for ParcelPoint email delivery notifications. |


To ensure you always have the most up-to-date information about a carrier's advanced options, use the [list carrier options call](/apis/shipengine/docs/reference/list-carrier-options).

### SMS and Email Notifications

ParcelPoint sends the recipient SMS or email notifications while the shipment is en route to its destination. To enable notifications, include the `NotificationPhone` and/or `NotificationEmail` properties in the `advanced_options` object:


```json
"advanced_options": {
  "NotificationPhone": "61491570156",
  "NotificationEmail": "testaaaaaaa@test.com"
}
```

## Manifests

ParcelPoint does not support creating manifests or End of Day (EOD) documents, and manifesting is not required for ParcelPoint shipments.

## Scheduling Pickups

ParcelPoint operates through drop-off at ParcelPoints rather than scheduled carrier pickups, so scheduling pickups is not supported.

## Service Points (PUDO)

ParcelPoint supports shipping to service points for eligible services. Enable service points on your connection using the `enable_service_points` property.

See our [Intro to Service Points](/apis/shipengine/docs/pick-up-drop-off/pudo-intro) for more details about using service points with ShipStation API.

## Tracking

ParcelPoint supports receiving tracking updates. Review our [Track a Package guide](/apis/shipengine/docs/tracking/tracking) for details on tracking with ShipStation API.

## Disconnecting Your ParcelPoint Account

See the Disconnect section in our [Delete a Carrier page](/apis/shipengine/docs/reference/carriers/delete-carrier) for the process of deleting or disconnecting a carrier from ShipStation API.

> **NOTE:**
If you disconnect a carrier account and reconnect it, the account will have a new `carrier_id` in ShipStation API.